## ublock-origin 1.40.2+dfsg

=== Makefile ===
# https://stackoverflow.com/a/6273809
run_options := $(filter-out $@,$(MAKECMDGOALS))

.PHONY: all clean test lint chromium firefox npm dig \
	compare maxcost medcost mincost modifiers record wasm

sources := $(wildcard assets/resources/* src/* src/*/* src/*/*/* src/*/*/*/*)
platform := $(wildcard platform/* platform/*/*)
assets := $(wildcard submodules/uAssets/* \
                     submodules/uAssets/*/* \
                     submodules/uAssets/*/*/* \
                     submodules/uAssets/*/*/*/*)

all: chromium firefox npm

dist/build/uBlock0.chromium: tools/make-chromium.sh $(sources) $(platform) $(assets)
	tools/make-chromium.sh

# Build the extension for Chromium.
chromium: dist/build/uBlock0.chromium

dist/build/uBlock0.firefox: tools/make-firefox.sh $(sources) $(platform) $(assets)
	tools/make-firefox.sh all

# Build the extension for Firefox.
firefox: dist/build/uBlock0.firefox

dist/build/uBlock0.npm: tools/make-nodejs.sh $(sources) $(platform) $(assets)
	tools/make-npm.sh

# Build the Node.js package.
npm: dist/build/uBlock0.npm

lint: npm
	cd dist/build/uBlock0.npm && npm run lint

test: npm
	cd dist/build/uBlock0.npm && npm run test

test-full-battery: npm
	cd dist/build/uBlock0.npm && npm run test-full-battery

check-leaks: npm
	cd dist/build/uBlock0.npm && npm run check-leaks

dist/build/uBlock0.dig: tools/make-nodejs.sh $(sources) $(platform) $(assets)
	tools/make-dig.sh

dig: dist/build/uBlock0.dig
	cd dist/build/uBlock0.dig && npm install

dig-snfe: dig
	cd dist/build/uBlock0.dig && npm run snfe $(run_options)

# Update submodules.
update-submodules:
	tools/update-submodules.sh

clean:
	rm -rf dist/build tmp/node_modules


# Not real targets, just convenient for auto-completion at shell prompt
compare:
	@echo
maxcost:
	@echo
medcost:
	@echo
mincost:
	@echo
modifiers:
	@echo
record:
	@echo
wasm:
	@echo

## ublock-origin 1.6.6%2Bdfsg

=== debian/control ===
Source: ublock-origin
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), mozilla-devscripts
Standards-Version: 3.9.7
Homepage: https://github.com/gorhill/uBlock
Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/ublock-origin.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/ublock-origin.git/

Package: xul-ext-ublock-origin
Architecture: all
Depends: ${xpi:Depends}, ${misc:Depends}, fonts-font-awesome
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: xul-ext-ublock, ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: general-purpose lightweight ads, malware, trackers blocker
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.

## ublock-origin 1.6.6+dfsg

=== debian/changelog ===
ublock-origin (1.6.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh non-free filters patch.
  * Add a patch disabling Conkeror support pending a fix of upstream bug
    #1356.  (Closes: #816896)
  * Bump standards version to 3.9.7; no changes required.
  * More commentary in README.source.
  * Update copyright file in line with upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Mar 2016 14:34:11 -0700

ublock-origin (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Remove now superfluous Lintian overrides.
  * Update patch disabling non-free filters by default for new upstream
    release.
  * Improve commentary in README.source.
  * Generate an upstream changelog using amo-changelog.
  * Add justifications for remaining Lintian overrides.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 15 Feb 2016 08:05:37 -0700

ublock-origin (1.5.6+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #778719)

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Jan 2016 18:35:50 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --buildsystem=xul_ext


override_dh_auto_build:
	./tools/make-firefox.sh
	xpi-pack dist/build/uBlock0.firefox xul-ext-ublock-origin.xpi


override_dh_auto_install:
	install-xpi xul-ext-ublock-origin.xpi -x LICENSE.txt


override_dh_auto_clean:
	./tools/make-clean.sh
	rm -f *.xpi


override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog.html debian/upstream/changelog

.PHONY: get-orig-changelog
get-orig-changelog:
	amo-changelog -p rst ublock-origin

## ublock-origin 1.7.6+dfsg

=== debian/changelog ===
ublock-origin (1.7.6+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Improve README.source.
    - Move `git diff` cmd into ordered list.
    - Add "upload to ftp-master" step.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Jun 2016 09:40:08 +0900

ublock-origin (1.7.0+dfsg-1) unstable; urgency=medium

  * Package new upstream release.
  * Add a missing step to README.source.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 02 May 2016 11:39:52 -0700

ublock-origin (1.6.8+dfsg-1) unstable; urgency=medium

  * Package new upstream release.
  * Explicitly include copyright for Raymond Hill.
  * Updates for upstream's repository reorganisation:
    - Patch tools/make-assets.sh
    - Update debian/clean-dfsg.sh
    - Update debian/copyright
    - Explain changes README.source.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Apr 2016 20:38:22 -0700

## ublock-origin 1.9.10+dfsg

=== debian/changelog ===
ublock-origin (1.9.10+dfsg-2) unstable; urgency=medium

  * Install an absolute symlink to fontawesome-webfont.ttf.
    See comment in d/rules for justification.
    Thanks to all those who contributed to finding this fix, in #827517.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Oct 2016 10:49:38 -0700

ublock-origin (1.9.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0001-Disable-nonfree-filters-by-default.patch.
  * Add 0004-patch-README-for-Debian.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Sep 2016 10:51:30 -0700

ublock-origin (1.9.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove deleted assets/.../effective_tld_names.dat from d/copyright.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 15 Sep 2016 10:48:33 -0700

ublock-origin (1.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file for third party assets moved into uAssets/.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 05 Sep 2016 08:32:11 -0700

ublock-origin (1.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 08 Aug 2016 06:30:42 -0700

ublock-origin (1.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 06 Aug 2016 08:55:43 -0700

ublock-origin (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 05 Aug 2016 09:23:11 -0700

## ublock-origin 1.10.4%2Bdfsg

=== debian/changelog ===
ublock-origin (1.10.4+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Add README.Debian (see discussion in #844003).
  * Update 'debian-branch' in d/gbp.conf for backporting.
  * Add missing changelog entries for 1.10.0+dfsg-1~bpo8+1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Jan 2017 17:04:26 -0700

ublock-origin (1.10.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0004-patch-README-for-Debian.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 09 Jan 2017 21:34:11 -0700

ublock-origin (1.10.0+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Add README.Debian (see discussion in #844003).
  * Update 'debian-branch' in d/gbp.conf for backporting.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Dec 2016 11:30:43 -0700

ublock-origin (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove references to Conkeror support from README.source.
    Upstream has closed feature request as wontfix.
  * Quilt patch changes:
    - Refresh 0001-Disable-nonfree-filters-by-default.patch
    - Drop 0002-Disable-conkeror-support.patch
      Merged upstream.
  * /usr/share/doc/xul-ext-ublock-origin changes:
    - Rename doc/benchmarks => benchmarks
    - Rename doc/media => media
    - Stop installing doc/img/: these are for upstream's wiki.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 30 Nov 2016 13:30:13 -0700

ublock-origin (1.9.16+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports (Closes: #844003).
  * Add README.Debian (see discussion in #844003).
  * Update 'debian-branch' in d/gbp.conf for backporting.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 21 Nov 2016 14:22:31 -0700

ublock-origin (1.9.16+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 27 Oct 2016 21:28:56 -0700

ublock-origin (1.9.12+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Oct 2016 17:55:00 -0700

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,22 @@
 	rm -f *.xpi
 
 
+# We bypass dh_link so that the symlink to fontawesome-webfont.ttf is
+# absolute.  Although this violates a 'should' directive of Debian
+# Policy, it is necessary for ublock-origin to work correctly with
+# firefox-esr 45, which is likely to be the version of Firefox
+# included in stretch.  See #827517 & #819900 for details.
+
+# Once all versions of Firefox in testing and unstable are at least
+# version 48, this override should be removed, and the symlink
+# installed with debian/xul-ext-ublock-origin.links (revert 020a17e
+# and then revert c14b5b3)
+override_dh_link:
+	dh_link -Xfontawesome-webfont.ttf
+	ln -sf /usr/share/fonts/truetype/font-awesome/fontawesome-webfont.ttf \
+		debian/xul-ext-ublock-origin/usr/share/xul-ext/ublock-origin/css/fonts/fontawesome-webfont.ttf
+
+
 override_dh_installchangelogs:
 	dh_installchangelogs debian/upstream/changelog.html debian/upstream/changelog

## ublock-origin 1.10.4+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), mozilla-devscripts
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/ublock-origin.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/ublock-origin.git/

## ublock-origin 1.11.0

=== debian/changelog ===
ublock-origin (1.11.0-0mx15+1) mx; urgency=medium

  * New release, build for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Feb 2017 13:40:55 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: ublock-origin
 Section: web
 Priority: optional
-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 9), mozilla-devscripts
 Standards-Version: 3.9.8

## ublock-origin 1.13.8+dfsg

=== debian/changelog ===
ublock-origin (1.13.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0004-patch-README-for-Debian.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Jul 2017 18:22:57 -0700

ublock-origin (1.13.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Jul 2017 21:52:05 +0100

ublock-origin (1.12.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.0.0 (no changes required).
  * Refresh 0001-Disable-nonfree-filters-by-default.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 19 Jun 2017 11:34:01 +0100

ublock-origin (1.11.4+dfsg-2) experimental; urgency=high

  * Add missing Breaks/Replaces of ublock-origin-doc (Closes: #859569).
    Thanks Andreas Beckmann for reporting this error.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Apr 2017 16:13:19 -0700

ublock-origin (1.11.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Move larger media files to new -doc package (Closes: #857797).
  * Build the Chromium extension (Closes: #858526).
    Thanks to James McCoy for the patch.
    - New binary package: chromium-ublock-origin.
    - Update 0003-patch-make-assets.sh-for-Debian.patch.
  * Extend 0001-Disable-nonfree-filters-by-default.patch to apply to new
    file assets/assets.json.
  * Refresh other patches.
  * Bump debhelper compat & build-dep to 10.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 22 Mar 2017 22:17:30 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: ublock-origin
 Section: web
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 9), mozilla-devscripts
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), mozilla-devscripts
+Standards-Version: 4.0.0
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/ublock-origin.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/ublock-origin.git/
@@ -24,3 +22,33 @@
  .
  Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
  having a smaller memory and CPU footprint.
+ .
+ This package provides the Mozilla version of the addon.
+
+Package: chromium-ublock-origin
+Architecture: all
+Depends: ${misc:Depends}, fonts-font-awesome
+Recommends: chromium
+Description: general-purpose lightweight ads, malware, trackers blocker (Chromium)
+ uBlock is a small footprint blocker for against web ads, malware, trackers,
+ analytics and similar invasive items.
+ .
+ Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
+ having a smaller memory and CPU footprint.
+ .
+ This package provides the Chromium version of the addon.
+
+Package: ublock-origin-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: xul-ext-ublock-origin (<< 1.11.4+dfsg)
+Replaces: xul-ext-ublock-origin (<< 1.11.4+dfsg)
+Description: general-purpose lightweight ads, malware, trackers blocker - documentation
+ uBlock is a small footprint blocker for against web ads, malware, trackers,
+ analytics and similar invasive items.
+ .
+ Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
+ having a smaller memory and CPU footprint.
+ .
+ This package contains larger files that are part of µBlock's documentation.

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,17 @@
 
 override_dh_auto_build:
 	./tools/make-firefox.sh
+	./tools/make-chromium.sh
 	xpi-pack dist/build/uBlock0.firefox xul-ext-ublock-origin.xpi
 
 
 override_dh_auto_install:
 	install-xpi xul-ext-ublock-origin.xpi -x LICENSE.txt
+	dh_install -p chromium-ublock-origin -X LICENSE.txt
+
+
+override_dh_install:
+	dh_install -p ublock-origin-doc
 
 
 override_dh_auto_clean:
@@ -29,9 +35,16 @@
 # installed with debian/xul-ext-ublock-origin.links (revert 020a17e
 # and then revert c14b5b3)
 override_dh_link:
-	dh_link -Xfontawesome-webfont.ttf
+	dh_link -p xul-ext-ublock-origin -Xfontawesome-webfont.ttf
 	ln -sf /usr/share/fonts/truetype/font-awesome/fontawesome-webfont.ttf \
 		debian/xul-ext-ublock-origin/usr/share/xul-ext/ublock-origin/css/fonts/fontawesome-webfont.ttf
+	dh_link -p chromium-ublock-origin usr/share/fonts/truetype/font-awesome/fontawesome-webfont.ttf \
+		usr/share/chromium/extensions/ublock-origin/css/fonts/fontawesome-webfont.ttf
+	dh_link -p ublock-origin-doc \
+		usr/share/doc/xul-ext-ublock-origin/benchmarks \
+		usr/share/doc/chromium-ublock-origin/benchmarks \
+		usr/share/doc/xul-ext-ublock-origin/media \
+		usr/share/doc/chromium-ublock-origin/media
 
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+(repack|dfsg|ds|deb)\d*$// \
https://github.com/gorhill/uBlock/releases .*/archive/(.*)\.tar\.gz

## ublock-origin 1.16.14+dfsg

=== debian/changelog ===
ublock-origin (1.16.14+dfsg-1) unstable; urgency=medium

  * New upstream version 1.16.14+dfsg-1.
  * Add myself to Uploaders and remove Sean Whitton at his own request.
    (Closes: #877041)
  * Drop 0005-Fix-application-id.patch. Fixed upstream. Thanks to Laurent
    Bigonville for the previous fix.
  * Suggest ublock-origin-doc package. (Closes: #880533)
  * Install the transition script ublock_migration.sh into
    /usr/share/doc/webext-ublock-origin. Add a NEWS file and explain how users
    can transition their data from the XUL extension to the new webext.
    Thanks to david s for providing the script! (Closes: #877040)
  * Declare compliance with Debian Policy 4.2.0.

 -- Markus Koschany <apo@debian.org>  Fri, 10 Aug 2018 08:18:58 +0200

ublock-origin (1.16.6+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the incorrect value for applications.gecko.id in
    platform/webext/manifest.json, this makes the extension work again with
    firefox (Closes: #899365)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Jul 2018 13:00:00 +0200

ublock-origin (1.16.6+dfsg-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Build and install webextension in new binary package webext-ublock-
    origin.

  [ Michael Meskes ]
  * New upstream version.
  * Switch to webext package
  * Updated VCS information.
  * Bumped standards and debhelper version

 -- Michael Meskes <meskes@debian.org>  Mon, 09 Apr 2018 20:15:53 +0200

=== debian/control ===
Source: ublock-origin
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends:
 debhelper (>= 11)
Standards-Version: 4.2.0
Homepage: https://github.com/gorhill/uBlock
Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

Package: xul-ext-ublock-origin
Architecture: all
Section: oldlibs
Depends:
 webext-ublock-origin,
 ${misc:Depends}
Description: general-purpose lightweight ads, malware, trackers blocker
 This is a transitional package, it can be safely removed.

Package: chromium-ublock-origin
Architecture: all
Depends:
 webext-ublock-origin,
 ${misc:Depends}
Section: oldlibs
Description: general-purpose lightweight ads, malware, trackers blocker (Chromium)
 This is a transitional package, it can be safely removed.

Package: ublock-origin-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Breaks:
 xul-ext-ublock-origin (<< 1.11.4+dfsg)
Replaces:
 xul-ext-ublock-origin (<< 1.11.4+dfsg)
Description: general-purpose lightweight ads, malware, trackers blocker - documentation
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package contains larger files that are part of µBlock's documentation.

Package: webext-ublock-origin
Architecture: all
Depends:
 fonts-font-awesome,
 ${misc:Depends}
Recommends:
 firefox (>= 50) | firefox-esr (>= 50) | chromium
Suggests:
 ublock-origin-doc
Breaks:
 chromium-ublock-origin (<< 1.15.24+dfsg-1),
 xul-ext-ublock-origin (<< 1.15.24+dfsg-1)
Replaces:
 chromium-ublock-origin (<< 1.15.24+dfsg-1),
 xul-ext-ublock-origin (<< 1.15.24+dfsg-1)
Description: general-purpose lightweight ads, malware, trackers blocker (Web Extension)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Web Extension version of the addon.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	./tools/make-webext.sh

override_dh_install:
	dh_install -p ublock-origin-doc
	dh_install -p webext-ublock-origin -X LICENSE.txt

override_dh_auto_clean:
	./tools/make-clean.sh

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog.html debian/upstream/changelog

.PHONY: get-orig-changelog
get-orig-changelog:
	amo-changelog -p rst ublock-origin

## ublock-origin 1.18.4+dfsg

=== debian/changelog ===
ublock-origin (1.18.4+dfsg-2) unstable; urgency=medium

  * Remove /etc/chromium.d/ublock-origin on upgrade because this file is
    obsolete. (Closes: #923001)

 -- Markus Koschany <apo@debian.org>  Sun, 24 Feb 2019 15:51:26 +0100

ublock-origin (1.18.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.18.4.
  * Remove vapi-webrequest.patch. Fixed upstream.
  * Drop 0004-patch-README-for-Debian.patch and do not install README.md.

  [ Michael Meskes ]
  * Remove debian/chromium/* since Chromium will load all extensions now.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Feb 2019 11:34:39 +0100

ublock-origin (1.18.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Drop do-not-open-sidebar-on-first-start.patch. Fixed upstream.
  * Reuse both flavors of webRequest wrapper in webext package.
    Thanks to Raymond Hill for the patch. (Closes: #920652)

 -- Markus Koschany <apo@debian.org>  Mon, 28 Jan 2019 23:14:43 +0100

ublock-origin (1.18.2+dfsg-1) experimental; urgency=medium

  * New upstream version 1.18.2 DFSG-cleaned.
  * Declare compliance with Debian Policy 4.3.0.
  * Remove debian/missing-sources again because upstream provides the sources.
  * Compile all *.wat files from source now.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Jan 2019 17:08:27 +0100

ublock-origin (1.17.0+dfsg-3) unstable; urgency=medium

  * Replace symlink to fontawesome-webfont with a real file again. Firefox
    silently ignored this symlink and icons were not displayed. This also fixes
    the logger window which was empty before. (Closes: #916431, #906911)

 -- Markus Koschany <apo@debian.org>  Sat, 15 Dec 2018 14:24:36 +0000

ublock-origin (1.17.0+dfsg-2) unstable; urgency=medium

  * Remove the quotation marks around boolean value in
    do-not-open-sidebar-on-first-start.patch. That prevented Firefox from
    loading the addon. Thanks to Eugen Dedu for the report.
    (Closes: #910807)

 -- Markus Koschany <apo@debian.org>  Thu, 11 Oct 2018 17:14:14 +0200

ublock-origin (1.17.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.17.0+dfsg.
  * Update upstream changelog to the new release version.
  * Drop make-webext-meta-encoding.patch and make-webext.patch. Fixed upstream.
  * Add do-not-open-sidebar-on-first-start.patch and prevent that the sidebar
    in Firefox opens on first startup. This feature only works in
    Firefox >= 62. (Closes: #909493)
  * Fix debian/watch and only track relevant upstream versions. Thanks to Sven
    Joachim for the report and patch. (Closes: #908898)

 -- Markus Koschany <apo@debian.org>  Wed, 10 Oct 2018 11:28:12 +0200

ublock-origin (1.16.14+dfsg-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.2.1.
  * Build-depend on python3 and fix that python commands were silently ignored
    in make-webext.sh.
    Thanks to Laurent Bigonville for the report. (Closes: #908509)
  * Add make-webext.patch. Call bash with set -e and exit when a command exits
    with a non-zero status. Also use the python3 executable instead of the
    default python interpreter.
  * Add make-webext-meta-encoding.patch and fix an encoding issue and fatal
    error that would cause a FTBFS.

 -- Markus Koschany <apo@debian.org>  Mon, 10 Sep 2018 19:26:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,11 @@
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.2.0
+ binaryen,
+ debhelper (>= 11),
+ python3,
+ wabt
+Standards-Version: 4.3.0
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
 Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin
@@ -51,7 +54,6 @@
 Package: webext-ublock-origin
 Architecture: all
 Depends:
- fonts-font-awesome,
  ${misc:Depends}
 Recommends:
  firefox (>= 50) | firefox-esr (>= 50) | chromium

## ublock-origin 1.18.10+dfsg

=== debian/changelog ===
ublock-origin (1.18.10+dfsg-1) experimental; urgency=medium

  * New upstream version 1.18.10+dfsg.
  * Fix ublock-origin being disabled with Firefox 66. (Closes: #925337)
  * Switch to compat level 12.

 -- Markus Koschany <apo@debian.org>  Sat, 23 Mar 2019 22:54:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Michael Meskes <meskes@debian.org>
 Build-Depends:
  binaryen,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  python3,
  wabt
 Standards-Version: 4.3.0

## ublock-origin 1.19.0+dfsg

=== debian/changelog ===
ublock-origin (1.19.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.4.0.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Jul 2019 23:57:21 +0200

ublock-origin (1.19.0+dfsg-1) experimental; urgency=medium

  [ Michael Meskes ]
  * Change package layout to allow for different file for each browser while at
    the same time keeping firefox working despite its dislike for symlinks.
    (Closes: #926586)

  [ Markus Koschany ]
  * New upstream version 1.19.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 19 May 2019 19:30:24 +0200

## ublock-origin 1.22.2+dfsg

=== debian/changelog ===
ublock-origin (1.22.2+dfsg-1~deb9u1) stretch; urgency=medium

  * Backport of 1.22.2+dfsg-1 to Stretch. (Closes: #943470, #925337)

 -- Markus Koschany <apo@debian.org>  Sat, 26 Oct 2019 17:04:27 +0200

ublock-origin (1.22.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.22.2+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 15 Sep 2019 00:13:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,9 @@
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>
 Build-Depends:
- binaryen,
- debhelper-compat (= 12),
- python3,
- wabt
-Standards-Version: 4.3.0
+ debhelper (>= 10),
+ python3
+Standards-Version: 4.4.0
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
 Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 	dh $@
 
 override_dh_auto_build:
+	# Copy the WebAssembly code from testing, so that we don't need to backport
+	# binaryen and wabt
+	cp debian/lz4-block-codec.wasm src/lib/lz4/lz4-block-codec.wasm
+	cp debian/hntrie.wasm src/js/wasm/hntrie.wasm
 	./tools/make-webext.sh
 
 override_dh_install:

## ublock-origin 1.29.0+dfsg

=== debian/changelog ===
ublock-origin (1.29.0+dfsg-2) unstable; urgency=medium

  * Update debian/copyright. Readd codemirror license which got accidentally
    removed and two new fonts licenses. (Closes: #969742)

 -- Markus Koschany <apo@debian.org>  Tue, 08 Sep 2020 01:16:48 +0200

ublock-origin (1.29.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.29.0+dfsg.
    - Restore compatibility with Firefox 80. (Closes: #969123)
  * Restore compatibility with Chromium. Add new binary package
    webext-ublock-origin-chromium. (Closes: #954097)

 -- Markus Koschany <apo@debian.org>  Thu, 27 Aug 2020 23:43:42 +0200

ublock-origin (1.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.28.0+dfsg. (Closes: #952645)
  * Remove obsolete binary packages xul-ext-ublock-origin and
    chromium-ublock-origin. (Closes: #908158)
  * Install the Firefox version into webext-ublock-origin. Temporarily only the
    Firefox web browser is supported. A new version of ublock-origin is
    currently waiting in the ftp-master's NEW queue. As soon as this version
    enters Debian, both web browsers, Chromium and Firefox, will be supported
    again.
  * Fix the wrong version number in both Firefox and Chromium manifest files.
    (Closes: #946796)

 -- Markus Koschany <apo@debian.org>  Sat, 25 Jul 2020 17:26:09 +0200

=== debian/control ===
Source: ublock-origin
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends:
 binaryen,
 debhelper-compat (= 13),
 python3,
 wabt
Standards-Version: 4.5.0
Homepage: https://github.com/gorhill/uBlock
Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

Package: ublock-origin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: lightweight and efficient ads, malware, trackers blocker (docs)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package contains larger files that are part of µBlock's documentation.

Package: webext-ublock-origin
Architecture: all
Depends:
 webext-ublock-origin-chromium,
 webext-ublock-origin-firefox,
 ${misc:Depends}
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed. Please install
 webext-ublock-origin-firefox or webext-ublock-origin-chromium instead.

Package: webext-ublock-origin-firefox
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 firefox (>= 50) | firefox-esr (>= 50)
Suggests:
 ublock-origin-doc
Breaks:
 webext-ublock-origin (<< 1.29.0)
Replaces:
 webext-ublock-origin (<< 1.29.0)
Description: lightweight and efficient ads, malware, trackers blocker (Firefox)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Firefox version of the addon.

Package: webext-ublock-origin-chromium
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 chromium
Suggests:
 ublock-origin-doc
Breaks:
 webext-ublock-origin (<< 1.29.0)
Replaces:
 webext-ublock-origin (<< 1.29.0)
Description: lightweight and efficient ads, malware, trackers blocker (Chromium)
 uBlock is a small footprint blocker for against web ads, malware, trackers,
 analytics and similar invasive items.
 .
 Compared to other blockers like AdBlock and Ghostery, µBlock is focused on
 having a smaller memory and CPU footprint.
 .
 This package provides the Chromium version of the addon.

## ublock-origin 1.30.0+dfsg

=== debian/changelog ===
ublock-origin (1.30.0+dfsg-1~deb10u1+rebuild) UNRELEASED; urgency=medium

  * update

 -- Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>  Tue, 08 Dec 2020 20:07:18 +0800

ublock-origin (1.30.0+dfsg-1~deb10u1) buster; urgency=medium

  * Backport version 1.30.0+dfsg to Buster.
  * Revert to debhelper level 12.

 -- Markus Koschany <apo@debian.org>  Sun, 22 Nov 2020 22:51:03 +0100

ublock-origin (1.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.30.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Sun, 04 Oct 2020 15:43:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Michael Meskes <meskes@debian.org>
 Build-Depends:
  binaryen,
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  python3,
  wabt
 Standards-Version: 4.5.0

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Compile the WebAssembly code from source
	find . -name "*.wasm" -delete
	wat2wasm src/lib/lz4/lz4-block-codec.wat -o src/lib/lz4/lz4-block-codec.wasm
	wat2wasm src/js/wasm/hntrie.wat -o src/js/wasm/hntrie.wasm
	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
	# Build the browser-specific versions of ublock-origin
	./tools/make-firefox.sh
	./tools/make-chromium.sh

override_dh_install:
	dh_install -p ublock-origin-doc
	dh_install -p webext-ublock-origin-firefox -X LICENSE.txt
	dh_install -p webext-ublock-origin-chromium -X LICENSE.txt

override_dh_auto_clean:
	./tools/make-clean.sh

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog.html debian/upstream/changelog

.PHONY: get-orig-changelog
get-orig-changelog:
	amo-changelog -p rst ublock-origin

## ublock-origin 1.33.0%2Bdfsg

=== debian/changelog ===
ublock-origin (1.33.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.33.0+dfsg.

 -- Markus Koschany <apo@debian.org>  Tue, 16 Feb 2021 00:10:01 +0100

ublock-origin (1.32.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.32.0+dfsg.
  * Declare compliance with Debian Policy 4.5.1.

 -- Markus Koschany <apo@debian.org>  Sat, 26 Dec 2020 20:48:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Michael Meskes <meskes@debian.org>
 Build-Depends:
  binaryen,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3,
  wabt
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
 Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

## ublock-origin 1.33.0+dfsg

=== debian/changelog ===
ublock-origin (1.33.0+dfsg-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:22:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ublock-origin
 Section: web
 Priority: optional
-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>

## ublock-origin 1.37.0+dfsg

=== debian/changelog ===
ublock-origin (1.37.0+dfsg-1~deb11u1) bullseye; urgency=medium

  * Backport to Debian 11 "Bullseye".

 -- Markus Koschany <apo@debian.org>  Sat, 28 Aug 2021 22:26:14 +0200

ublock-origin (1.37.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.37.0+dfsg.
    - Fix CVE-2021-36773:
      uBlock supported an arbitrary depth of parameter nesting for strict
      blocking, which allows crafted web sites to cause a denial of service
      (unbounded recursion that can trigger memory consumption and a loss of
      all blocking functionality).
      Thanks to Marcus Frings for the report. (Closes: #991386)
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Aug 2021 20:56:50 +0200

## ublock-origin 1.40.2+dfsg

=== debian/changelog ===
ublock-origin (1.40.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.40.2+dfsg.

 -- Markus Koschany <apo@debian.org>  Thu, 30 Dec 2021 23:12:02 +0100

ublock-origin (1.39.0+dfsg-2) unstable; urgency=medium

  * Fix debian/watch to detect new upstream releases.

 -- Markus Koschany <apo@debian.org>  Fri, 26 Nov 2021 23:10:11 +0100

ublock-origin (1.39.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.39.0+dfsg.
  * Skip the tests.

 -- Markus Koschany <apo@debian.org>  Fri, 26 Nov 2021 22:34:21 +0100

## ublock-origin 1.42.0%2Bdfsg

=== debian/changelog ===
ublock-origin (1.42.0+dfsg-1~deb9u1) stretch-security; urgency=high

  * Fix CVE-2021-36773:
    uBlock supported an arbitrary depth of parameter nesting for strict
    blocking, which allows crafted web sites to cause a denial of service
    (unbounded recursion that can trigger memory consumption and a loss of all
    blocking functionality).
  * Switch to debhelper 12.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Jun 2022 22:45:03 +0200

ublock-origin (1.42.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.42.0+dfsg.
    - Fix FTBFS unexpected token get_local. (Closes: #1005502)

 -- Markus Koschany <apo@debian.org>  Fri, 06 May 2022 03:17:53 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Build the browser-specific versions of ublock-origin
	./tools/make-firefox.sh
	./tools/make-chromium.sh

override_dh_install:
	dh_install -p ublock-origin-doc
	dh_install -p webext-ublock-origin-firefox -X LICENSE.txt
	dh_install -p webext-ublock-origin-chromium -X LICENSE.txt

override_dh_auto_test:
	# Skip the tests

override_dh_auto_clean:
	./tools/make-clean.sh

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog.html debian/upstream/changelog

.PHONY: get-orig-changelog
get-orig-changelog:
	amo-changelog -p rst ublock-origin

## ublock-origin 1.42.0+dfsg

=== debian/changelog ===
ublock-origin (1.42.0+dfsg-1~deb11u1) bullseye; urgency=medium

  * Backport to Bullseye.
  * Correct the mistake in debian/changelog and produce a valid changelog file.
    (Closes: #996249)

 -- Markus Koschany <apo@debian.org>  Fri, 01 Jul 2022 23:43:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ublock-origin
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>
@@ -11,7 +10,7 @@
  debhelper-compat (= 13),
  python3,
  wabt
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
 Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 	dh $@
 
 override_dh_auto_build:
+	# Compile the WebAssembly code from source
+	find . -name "*.wasm" -delete
+	wat2wasm src/lib/lz4/lz4-block-codec.wat -o src/lib/lz4/lz4-block-codec.wasm
+	wat2wasm src/js/wasm/hntrie.wat -o src/js/wasm/hntrie.wasm
+	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
+	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
+	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
 	# Build the browser-specific versions of ublock-origin
 	./tools/make-firefox.sh
 	./tools/make-chromium.sh

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+(repack|dfsg|ds|deb)\d*$// \
https://github.com/gorhill/uBlock/releases .*/(\d.*)\.tar\.gz

## ublock-origin 1.44.0+dfsg

=== debian/changelog ===
ublock-origin (1.44.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.44.0+dfsg. (Closes: #1016901)
  * Drop transitional webext-ublock-origin binary package.
  * Declare compliance with Debian Policy 4.6.1.
  * Remove lz4-block-codec.wat.patch and python3.patch. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Tue, 23 Aug 2022 00:42:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  python3,
  wabt
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
 Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin
@@ -30,19 +30,9 @@
  .
  This package contains larger files that are part of µBlock's documentation.
 
-Package: webext-ublock-origin
-Architecture: all
-Depends:
- webext-ublock-origin-chromium,
- webext-ublock-origin-firefox,
- ${misc:Depends}
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed. Please install
- webext-ublock-origin-firefox or webext-ublock-origin-chromium instead.
-
 Package: webext-ublock-origin-firefox
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Recommends:
@@ -64,6 +54,7 @@
 
 Package: webext-ublock-origin-chromium
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Recommends:

## ublock-origin 1.46.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # https://stackoverflow.com/a/6273809
 run_options := $(filter-out $@,$(MAKECMDGOALS))
 
-.PHONY: all clean test lint chromium firefox npm dig \
+.PHONY: all clean test lint chromium firefox npm dig mv3 mv3-quick \
 	compare maxcost medcost mincost modifiers record wasm
 
-sources := $(wildcard assets/resources/* src/* src/*/* src/*/*/* src/*/*/*/*)
-platform := $(wildcard platform/* platform/*/*)
-assets := $(wildcard submodules/uAssets/* \
-                     submodules/uAssets/*/* \
-                     submodules/uAssets/*/*/* \
-                     submodules/uAssets/*/*/*/*)
+sources := $(wildcard assets/resources/* dist/version src/* src/*/* src/*/*/* src/*/*/*/*)
+platform := $(wildcard platform/* platform/*/* platform/*/*/* platform/*/*/*/*)
+assets := dist/build/uAssets
 
 all: chromium firefox npm
 
@@ -52,9 +49,17 @@
 dig-snfe: dig
 	cd dist/build/uBlock0.dig && npm run snfe $(run_options)
 
-# Update submodules.
-update-submodules:
-	tools/update-submodules.sh
+mv3: tools/make-mv3.sh $(sources) $(platform)
+	tools/make-mv3.sh
+
+mv3-quick: tools/make-mv3.sh $(sources) $(platform)
+	tools/make-mv3.sh quick
+
+mv3-full: tools/make-mv3.sh $(sources) $(platform)
+	tools/make-mv3.sh full
+
+dist/build/uAssets:
+	tools/pull-assets.sh
 
 clean:
 	rm -rf dist/build tmp/node_modules

=== debian/changelog ===
ublock-origin (1.46.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.46.0+dfsg.
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Mon, 23 Jan 2023 22:02:37 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  python3,
  wabt
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
 Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin

## ublock-origin 1.51.0+dfsg

=== debian/changelog ===
ublock-origin (1.51.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.51.0+dfsg. (Closes: #1039061)
  * Build the minified asset filters from source. Build-depend on nodejs.
  * d/control: Remove obsolete Breaks and Replaces.

 -- Markus Koschany <apo@debian.org>  Sat, 22 Jul 2023 00:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  binaryen,
  debhelper-compat (= 13),
+ nodejs,
  python3,
  wabt
 Standards-Version: 4.6.2
@@ -36,13 +37,9 @@
 Depends:
  ${misc:Depends}
 Recommends:
- firefox (>= 50) | firefox-esr (>= 50)
+ firefox | firefox-esr
 Suggests:
  ublock-origin-doc
-Breaks:
- webext-ublock-origin (<< 1.29.0)
-Replaces:
- webext-ublock-origin (<< 1.29.0)
 Description: lightweight and efficient ads, malware, trackers blocker (Firefox)
  uBlock is a small footprint blocker for against web ads, malware, trackers,
  analytics and similar invasive items.
@@ -61,10 +58,6 @@
  chromium
 Suggests:
  ublock-origin-doc
-Breaks:
- webext-ublock-origin (<< 1.29.0)
-Replaces:
- webext-ublock-origin (<< 1.29.0)
 Description: lightweight and efficient ads, malware, trackers blocker (Chromium)
  uBlock is a small footprint blocker for against web ads, malware, trackers,
  analytics and similar invasive items.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 	wat2wasm src/js/wasm/biditrie.wat -o src/js/wasm/biditrie.wasm
 	wat2wasm src/lib/publicsuffixlist/wasm/publicsuffixlist.wat -o src/lib/publicsuffixlist/wasm/publicsuffixlist.wasm
 	wasm-opt src/lib/lz4/lz4-block-codec.wasm -O4 -o src/lib/lz4/lz4-block-codec.wasm
+	# Build the minified asset filters
+	cd uAssets && ./tools/make-ublock.sh
 	# Build the browser-specific versions of ublock-origin
 	./tools/make-firefox.sh
 	./tools/make-chromium.sh
